Bug 831748 - [abrt] rhythmbox-2.96-3.fc17: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: Process /usr/bin/rhythmbox was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:cac246a2e9ba6f8002b1e85d662...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 13:11 EDT by hassan.abdala
Modified: 2013-07-31 16:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (22.56 KB, text/plain)
2012-06-13 13:11 EDT, hassan.abdala
no flags Details
File: build_ids (9.13 KB, text/plain)
2012-06-13 13:11 EDT, hassan.abdala
no flags Details
File: maps (65.28 KB, text/plain)
2012-06-13 13:11 EDT, hassan.abdala
no flags Details
File: backtrace (43.58 KB, text/plain)
2012-06-13 13:11 EDT, hassan.abdala
no flags Details

  None (edit)
Description hassan.abdala 2012-06-13 13:11:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_ipod_source_entry_changed_cb
executable:     /usr/bin/rhythmbox
kernel:         3.4.0-1.fc17.i686.PAE
pid:            1636
pwd:            /home/abc
time:           Wed 13 Jun 2012 12:36:00 PM EDT
uid:            1000
username:       abc

backtrace:      Text file, 44628 bytes
build_ids:      Text file, 9348 bytes
dso_list:       Text file, 23104 bytes
maps:           Text file, 66850 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/abc/2

core_backtrace:
:e4feb685ca73fa5f6be8a4651861b38c129b6bc5 0xce5b - libipod.so -
:842e3564eb907cf1d0319d7da7b2c715b9cecd4c 0xeace1 rb_marshal_VOID__BOXED_BOXED librhythmbox-core.so.5 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:842e3564eb907cf1d0319d7da7b2c715b9cecd4c 0xb3538 - librhythmbox-core.so.5 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x44a31 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x98c04 g_application_run libgio-2.0.so.0 -
:562c7dd0c97c92acbb472fb3f519472e85886781 0xe1a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/abc/keyring-JmDDzy
:IMSETTINGS_MODULE=none
:USER=abc
:USERNAME=abc
:MAIL=/var/spool/mail/abc
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/abc/.local/bin:/home/abc/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/abc
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=997
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/abc
:SHLVL=1
:LOGNAME=abc
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7GgddeJl8W,guid=2a3827c0f5c34283f4f570eb00000035
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/abc
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-abc-lsjgD9/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/999,unix/unix:/tmp/.ICE-unix/999
:SSH_AUTH_SOCK=/run/user/abc/keyring-JmDDzy/ssh
:GPG_AGENT_INFO=/run/user/abc/keyring-JmDDzy/gpg:0:1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1636
:DESKTOP_STARTUP_ID=gnome-panel-1340-localhost.localdomain-rhythmbox-1_TIME159747

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15994                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15994                15994                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/abc/.xsession-errors
:2:/home/abc/.xsession-errors
:3:anon_inode:[eventfd]
:4:socket:[24442]
:5:socket:[24444]
:6:socket:[24447]
:7:anon_inode:[eventfd]
:8:socket:[24449]
:9:anon_inode:[eventfd]
:10:anon_inode:[eventfd]
:11:anon_inode:[eventfd]
:12:socket:[24451]
:13:/home/abc/.cache/rhythmbox/album-art/store.tdb
:14:socket:[24458]
:15:socket:[24461]
:16:/tmp/ffiXOdCwO (deleted)
:17:socket:[24465]
:18:socket:[24467]
:19:socket:[24527]
:20:anon_inode:[eventfd]
:21:socket:[24722]
:22:socket:[24723]

var_log_messages:
:Jun 13 12:36:00 localhost kernel: [  225.152495] rhythmbox[1636]: segfault at b0 ip 00afde5b sp bfdb3190 error 6 in libipod.so[af1000+13000]
:Jun 13 12:36:01 localhost abrt[1699]: Saved core dump of pid 1636 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-13-12:36:00-1636 (101199872 bytes)
Comment 1 hassan.abdala 2012-06-13 13:11:09 EDT
Created attachment 591573 [details]
File: dso_list
Comment 2 hassan.abdala 2012-06-13 13:11:11 EDT
Created attachment 591574 [details]
File: build_ids
Comment 3 hassan.abdala 2012-06-13 13:11:13 EDT
Created attachment 591575 [details]
File: maps
Comment 4 hassan.abdala 2012-06-13 13:11:15 EDT
Created attachment 591576 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-07-03 16:35:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 16:44:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.